# -*- coding: utf-8 -*-

import os, sys
# ensure citruleaf.py is in path
sys.path.insert(1, os.path.realpath( os.pardir ) )

import unittest
import citrusleaf as cl

class TestDropUser(unittest.TestCase):

    @classmethod
    def setUpClass(cls):
        
        cls.cluster_with_user_admin = cl.CitrusleafCluster()
        cls.cluster_with_user_admin.setUser('testuauser', cl.hashpassword('aerospike'))
        cl.cluster_setHost(cls.cluster_with_user_admin, 'localhost', '3000')

        cls.cluster_with_read_user = cl.CitrusleafCluster()
        cls.cluster_with_read_user.setUser('testreaduser', cl.hashpassword('aerospike'))
        cl.cluster_setHost(cls.cluster_with_read_user, 'localhost', '3000')
    
    @classmethod
    def tearDownClass(cls):

        del(cls.cluster_with_user_admin)
        del(cls.cluster_with_read_user)


    def test_dropUser_for_non_existent_user(self):

        status = cl.dropUser(TestDropUser.cluster_with_user_admin, 'any_user')

        self.assertEqual(60, status)

    def test_dropUser_for_empty_username(self):

        status = cl.dropUser(TestDropUser.cluster_with_user_admin, '')

        self.assertEqual(60, status)

    def test_dropUser_with_other_than_useradmin_user(self):

        status = cl.dropUser(TestDropUser.cluster_with_read_user, 'testreaduser')


if __name__ == "__main__":
    unittest.main()
